<?php

namespace App\Service\OnChange;

class OnChangeDefault implements OnChangeInterface
{
    public function validate($data, OnChangeContext $context): void {}

    public function preProcess($data, OnChangeContext $context): mixed {
        return $data;
    }

    public function beforeChange($data, OnChangeContext $context): void {}

    public function onChange($data, OnChangeContext $context): void {}
}
